Différences

Ci-dessous, les différences entre deux révisions de la page.

Lien vers cette vue comparative

Les deux révisions précédentes Révision précédente
Prochaine révision
Révision précédente
phpmyadmin [Le 04/10/2019, 20:40]
82.245.50.3 [Incompatibilité avec PHP 7.2]
phpmyadmin [Le 07/10/2020, 08:47]
bcag2 ajout § [Ajouter des thèmes graphiques]
Ligne 49: Ligne 49:
  
 root root
 +
 +==== Ajouter des thèmes graphiques ====
 +Il est possible de changer de thème graphique, notamment avec les versions récentes, pour cela, rendez-vous sur
 +[[https://​www.phpmyadmin.net/​themes|thèmes]]
 ===== Problèmes courants ===== ===== Problèmes courants =====
  
Ligne 61: Ligne 65:
  
 La [[https://​stackoverflow.com/​a/​49483740/​3175946|solution]] est de remplacer la ligne 613 du fichier ''/​usr/​share/​phpmyadmin/​libraries/​sql.lib.php''​ : La [[https://​stackoverflow.com/​a/​49483740/​3175946|solution]] est de remplacer la ligne 613 du fichier ''/​usr/​share/​phpmyadmin/​libraries/​sql.lib.php''​ :
-<​file>​(count($analyzed_sql_results['​select_expr'​] == 1)</​file>​+<​file>​|| (count($analyzed_sql_results['​select_expr'​] == 1)</​file>​
 par par
-<​file>​(count($analyzed_sql_results['​select_expr'​]) == 1</​file>​\\+<​file>​|| (count($analyzed_sql_results['​select_expr'​]) == 1</​file>​\\ 
 + 
 +Néanmoins, une erreur du même type peut persister lorsque l'on veut utiliser les fonction Import / Export. Il faut alors remplacer la ligne 551 du fichier ''/​usr/​share/​phpmyadmin/​libraries/​plugin_interface.lib.php''​ 
 +<​file> ​      if ($options != null && count($options) > 0) {</​file>​ 
 +par 
 +<​file> ​      if ($options != null && count((array)$options) > 0) {</​file>​ 
 + 
  
-Néanmoins, une erreur du même type peut persister lorsque l'on veut utiliser la fonction "​Export"​. ​Une solution radicale consiste à installer une version plus récente de phpmyadmin à télécharger sur le [[https://​www.phpmyadmin.net/​downloads/​|site officiel]]. On peut trouver des tuto pour installer cette nouvelle version de façon sure comme par exemple ce [[https://​www.hostingadvice.com/​how-to/​install-phpmyadmin-on-ubuntu/#​install-from-source|site]]. ​  +Une solution radicale consiste à installer une version plus récente de phpmyadmin à télécharger sur le [[https://​www.phpmyadmin.net/​downloads/​|site officiel]]. On peut trouver des tuto pour installer cette nouvelle version de façon sure comme par exemple ce [[https://​www.hostingadvice.com/​how-to/​install-phpmyadmin-on-ubuntu/#​install-from-source|site]]. ​  
  
 ==== Erreur 404 avec Apache ==== ==== Erreur 404 avec Apache ====
Ligne 90: Ligne 101:
 Puis dans la console MySQL : Puis dans la console MySQL :
 <code mysql> <code mysql>
-GRANT ALL ON *.* TO '​nom_utilisateur_choisi'​@'​localhost' IDENTIFIED BY '​mot_de_passe_solide' WITH GRANT OPTION;+CREATE USER '​nom_utilisateur_choisi'​@'​localhost'​ IDENTIFIED BY '​mot_de_passe_solide';​ 
 +GRANT ALL ON *.* TO '​nom_utilisateur_choisi'​@'​localhost'​ WITH GRANT OPTION;
 FLUSH PRIVILEGES; FLUSH PRIVILEGES;
 QUIT; QUIT;
  • phpmyadmin.txt
  • Dernière modification: Le 07/10/2020, 08:47
  • par bcag2